Open CASCADE Technology: TestTopOpeDraw_ListOfPnt2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TestTopOpeDraw_ListOfPnt2d Class Reference

`#include <TestTopOpeDraw_ListOfPnt2d.hxx>`

## Public Member Functions
| TestTopOpeDraw_ListOfPnt2d ()
| TestTopOpeDraw_ListOfPnt2d (const TestTopOpeDraw_ListOfPnt2d &Other)
void | Assign (const TestTopOpeDraw_ListOfPnt2d &Other)
void | operator= (const TestTopOpeDraw_ListOfPnt2d &Other)
Standard_Integer | Extent () const
void | Clear ()
| ~TestTopOpeDraw_ListOfPnt2d ()
Standard_Boolean | IsEmpty () const
void | Prepend (const gp_Pnt2d &I)
void | Prepend (const gp_Pnt2d &I, TestTopOpeDraw_ListIteratorOfListOfPnt2d &theIt)
void | Prepend (TestTopOpeDraw_ListOfPnt2d &Other)
void | Append (const gp_Pnt2d &I)
void | Append (const gp_Pnt2d &I, TestTopOpeDraw_ListIteratorOfListOfPnt2d &theIt)
void | Append (TestTopOpeDraw_ListOfPnt2d &Other)
gp_Pnt2d & | First () const
gp_Pnt2d & | Last () const
void | RemoveFirst ()
void | Remove (TestTopOpeDraw_ListIteratorOfListOfPnt2d &It)
void | InsertBefore (const gp_Pnt2d &I, TestTopOpeDraw_ListIteratorOfListOfPnt2d &It)
void | InsertBefore (TestTopOpeDraw_ListOfPnt2d &Other, TestTopOpeDraw_ListIteratorOfListOfPnt2d &It)
void | InsertAfter (const gp_Pnt2d &I, TestTopOpeDraw_ListIteratorOfListOfPnt2d &It)
void | InsertAfter (TestTopOpeDraw_ListOfPnt2d &Other, TestTopOpeDraw_ListIteratorOfListOfPnt2d &It)

## Constructor & Destructor Documentation

TestTopOpeDraw_ListOfPnt2d::TestTopOpeDraw_ListOfPnt2d | ( |  | ) |

TestTopOpeDraw_ListOfPnt2d::TestTopOpeDraw_ListOfPnt2d | ( | const TestTopOpeDraw_ListOfPnt2d & | Other | ) |

TestTopOpeDraw_ListOfPnt2d::~TestTopOpeDraw_ListOfPnt2d | ( |  | ) |
| inline

## Member Function Documentation

void TestTopOpeDraw_ListOfPnt2d::Append | ( | const gp_Pnt2d & | I | ) |

void TestTopOpeDraw_ListOfPnt2d::Append | ( | const gp_Pnt2d & | I,
|  | TestTopOpeDraw_ListIteratorOfListOfPnt2d & | theIt
| ) |  |

void TestTopOpeDraw_ListOfPnt2d::Append | ( | TestTopOpeDraw_ListOfPnt2d & | Other | ) |

void TestTopOpeDraw_ListOfPnt2d::Assign | ( | const TestTopOpeDraw_ListOfPnt2d & | Other | ) |

void TestTopOpeDraw_ListOfPnt2d::Clear | ( |  | ) |

Standard_Integer TestTopOpeDraw_ListOfPnt2d::Extent | ( |  | ) | const

gp_Pnt2d& TestTopOpeDraw_ListOfPnt2d::First | ( |  | ) | const

void TestTopOpeDraw_ListOfPnt2d::InsertAfter | ( | const gp_Pnt2d & | I,
|  | TestTopOpeDraw_ListIteratorOfListOfPnt2d & | It
| ) |  |

void TestTopOpeDraw_ListOfPnt2d::InsertAfter | ( | TestTopOpeDraw_ListOfPnt2d & | Other,
|  | TestTopOpeDraw_ListIteratorOfListOfPnt2d & | It
| ) |  |

void TestTopOpeDraw_ListOfPnt2d::InsertBefore | ( | const gp_Pnt2d & | I,
|  | TestTopOpeDraw_ListIteratorOfListOfPnt2d & | It
| ) |  |

void TestTopOpeDraw_ListOfPnt2d::InsertBefore | ( | TestTopOpeDraw_ListOfPnt2d & | Other,
|  | TestTopOpeDraw_ListIteratorOfListOfPnt2d & | It
| ) |  |

Standard_Boolean TestTopOpeDraw_ListOfPnt2d::IsEmpty | ( |  | ) | const

gp_Pnt2d& TestTopOpeDraw_ListOfPnt2d::Last | ( |  | ) | const

void TestTopOpeDraw_ListOfPnt2d::operator= | ( | const TestTopOpeDraw_ListOfPnt2d & | Other | ) |
| inline

void TestTopOpeDraw_ListOfPnt2d::Prepend | ( | const gp_Pnt2d & | I | ) |

void TestTopOpeDraw_ListOfPnt2d::Prepend | ( | const gp_Pnt2d & | I,
|  | TestTopOpeDraw_ListIteratorOfListOfPnt2d & | theIt
| ) |  |

void TestTopOpeDraw_ListOfPnt2d::Prepend | ( | TestTopOpeDraw_ListOfPnt2d & | Other | ) |

void TestTopOpeDraw_ListOfPnt2d::Remove | ( | TestTopOpeDraw_ListIteratorOfListOfPnt2d & | It | ) |

void TestTopOpeDraw_ListOfPnt2d::RemoveFirst | ( |  | ) |

The documentation for this class was generated from the following file:

- TestTopOpeDraw_ListOfPnt2d.hxx